## plaso 1.4.0+dfsg

=== docs/requirements.txt ===
# This is required so that readthedocs installs napoleon and can read our docstrings.
sphinxcontrib-napoleon
# The protobuf library doesn't seem to mock properly for some reason.
protobuf
# Pyparsing doesn't mock very well, and it's easily pip installable.
pyparsing
# We have several parsers that create construct objects, and if we install
# it correctly, the documentation looks better.
construct

## plaso 1.3.0+dfsg

=== debian/changelog ===
plaso (1.3.0+dfsg-1) unstable; urgency=medium

  * Gave package to Debian Forensics team
  * Added dh-python to Build-Depends
  * Removed test data from orig tarball because it may contain non-free
    bits
  * Added script to automatically purge test_data/ from orig tarball;
    updated watch file
  * Added Lintian overrides for .py extensions

 -- Hilko Bengen <bengen@debian.org>  Wed, 05 Aug 2015 22:05:05 +0200

plaso (1.3.0-1) unstable; urgency=low

  * Initial release (Closes: #792335)

 -- Hilko Bengen <bengen@debian.org>  Thu, 23 Jul 2015 23:46:06 +0200

=== debian/control ===
Source: plaso
Section: admin
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools,
Standards-Version: 3.9.6
Homepage: http://plaso.kiddaland.net/
Vcs-Git: git://anonscm.debian.org/forensics/plaso.git
Vcs-Browser: https://anonscm.debian.org/cgit/forensics/plaso.git

Package: plaso
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 bittorrent,
 ipython,
 python-binplist,
 python-construct (>= 2.5.2),
 python-dateutil,
 python-dfvfs,
 python-dpkt,
 python-hachoir-core,
 python-hachoir-metadata,
 python-hachoir-parser,
 python-libbde,
 python-libesedb,
 python-libevt,
 python-libevtx,
 python-libewf,
 python-libfwsi,
 python-liblnk,
 python-libmsiecf,
 python-libolecf,
 python-libqcow,
 python-libregf,
 python-libsigscan,
 python-libsmdev,
 python-libsmraw,
 python-libvhdi,
 python-libvmdk,
 python-libvshadow,
 python-pefile,
 python-protobuf,
 python-psutil,
 python-pyparsing,
 python-requests,
 python-six,
 python-tsk,
 python-tz,
 python-yaml,
Description: super timeline all the things
 Plaso (plaso langar að safna öllu) is the Python based back-end
 engine used by tools such as log2timeline for automatic creation of a
 super timelines. The goal of log2timeline (and thus plaso) is to
 provide a single tool that can parse various log files and forensic
 artifacts from computers and related systems, such as network
 equipment to produce a single correlated timeline. This timeline can
 then be easily analysed by forensic investigators/analysts, speeding
 up investigations by correlating the vast amount of information found
 on an average computer system.

## plaso 1.4.0+dfsg

=== debian/changelog ===
plaso (1.4.0+dfsg-2) unstable; urgency=medium

  * Fix dependencies
  * Add psutil version checks

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Jan 2016 22:58:08 +0100

plaso (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Jan 2016 08:47:52 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
 Package: plaso
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- bittorrent,
  ipython,
  python-binplist,
+ python-bittorrent,
  python-construct (>= 2.5.2),
  python-dateutil,
  python-dfvfs,
@@ -28,6 +28,7 @@
  python-libevtx,
  python-libewf,
  python-libfwsi,
+ python-libfsntfs,
  python-liblnk,
  python-libmsiecf,
  python-libolecf,
@@ -47,7 +48,9 @@
  python-six,
  python-tsk,
  python-tz,
+ python-xlsxwriter,
  python-yaml,
+ python-zmq,
 Description: super timeline all the things
  Plaso (plaso langar að safna öllu) is the Python based back-end
  engine used by tools such as log2timeline for automatic creation of a

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@ --with=python2

override_dh_compress:
	dh_compress -X.rst

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
    https://github.com/log2timeline/plaso/releases /.*/archive/(\d.*)\.tar\.gz \
    debian debian/orig-tar.sh

## plaso 1.5.1+dfsg

=== requirements.txt ===
pip >= 7.0.0
pytest
mock
IPython >= 1.2.1
PyYAML >= 3.10
XlsxWriter >= 0.9.3
artifacts >= 20150409
bencode
binplist >= 0.1.4
construct >= 2.5.2,<= 2.5.3
dfdatetime >= 20160319
dfvfs >= 20160803
dfwinreg >= 20160320
dpkt >= 1.8
efilter >= 1-1.5
hachoir-core >= 1.3.3
hachoir-metadata >= 1.3.3
hachoir-parser >= 1.3.4
libbde-python >= 20140531
libesedb-python >= 20150409
libevt-python >= 20120410
libevtx-python >= 20141112
libewf-python >= 20131210
libfsntfs-python >= 20151130
libfvde-python >= 20160719
libfwnt-python >= 20160418
libfwsi-python >= 20150606
liblnk-python >= 20150830
libmsiecf-python >= 20150314
libolecf-python >= 20151223
libqcow-python >= 20131204
libregf-python >= 20150315
libscca-python >= 20151226
libsigscan-python >= 20150627
libsmdev-python >= 20140529
libsmraw-python >= 20140612
libvhdi-python >= 20131210
libvmdk-python >= 20140421
libvshadow-python >= 20160109
libvslvm-python >= 20160109
pefile >= 1.2.10-139
psutil >= 1.2.1
pycrypto >= 2.6.0
pyparsing >= 2.0.3
python-dateutil >= 1.5
pytsk3 >= 20160721
pytz
pyzmq >= 2.1.11
requests >= 2.2.1
six >= 1.1.0
yara-python >= 3.4.0

=== docs/Makefile ===
# Makefile for Sphinx documentation

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Plaso.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Plaso.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Plaso"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Plaso"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
# This is required so that readthedocs installs napoleon and can read our docstrings.
sphinxcontrib-napoleon
# Pyparsing doesn't mock very well, and it's easily pip installable.
pyparsing
# We have several parsers that create construct objects, and if we install
# it correctly, the documentation looks better.
construct

=== debian/changelog ===
plaso (1.5.1+dfsg-3) unstable; urgency=medium

  * Add python-efilter dependency (Closes: #847787)

 -- Hilko Bengen <bengen@debian.org>  Sat, 17 Dec 2016 00:23:52 +0100

plaso (1.5.1+dfsg-2) unstable; urgency=medium

  * Fix debian/control syntax error (Closes: #842048)

 -- Hilko Bengen <bengen@debian.org>  Mon, 14 Nov 2016 11:39:56 +0100

plaso (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.1+dfsg
  * Update dependencies

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Oct 2016 11:49:10 +0200

plaso (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.0+dfsg
  * Update watch to notice beta or rc releases
  * Update dependencies
  * Drop psutil compatibility patch integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Wed, 21 Sep 2016 02:26:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,45 +12,54 @@
 Package: plaso
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- ipython,
- python-binplist,
+ ipython (>= 1.2.1),
+ python-binplist (>= 0.1.4),
  python-bittorrent,
  python-construct (>= 2.5.2),
- python-dateutil,
- python-dfvfs,
- python-dpkt,
- python-hachoir-core,
- python-hachoir-metadata,
- python-hachoir-parser,
- python-libbde,
- python-libesedb,
- python-libevt,
- python-libevtx,
- python-libewf,
- python-libfwsi,
- python-libfsntfs,
- python-liblnk,
- python-libmsiecf,
- python-libolecf,
- python-libqcow,
- python-libregf,
- python-libsigscan,
- python-libsmdev,
- python-libsmraw,
- python-libvhdi,
- python-libvmdk,
- python-libvshadow,
+ python-crypto (>= 2.6.0),
+ python-dateutil (>= 1.5),
+ python-dfdatetime (>= 20160319),
+ python-dfvfs (>= 20160803),
+ python-dfwinreg (>= 20160320),
+ python-dpkt (>= 1.8),
+ python-hachoir-core (>= 1.3.3),
+ python-hachoir-metadata (>= 1.3.3),
+ python-hachoir-parser (>= 1.3.4),
+ python-libbde (>= 20140531),
+ python-libesedb (>= 20150409),
+ python-libevt (>= 20120410),
+ python-libevtx (>= 20141112),
+ python-libewf (>= 20131210),
+ python-libfsntfs (>= 20151130),
+ python-libfvde (>= 20160719),
+ python-libfwnt (>= 20160418),
+ python-libfwsi (>= 20150606),
+ python-liblnk (>= 20150830),
+ python-libmsiecf (>= 20150314),
+ python-libolecf (>= 20151223),
+ python-libqcow (>= 20131204),
+ python-libregf (>= 20150315),
+ python-libscca (>= 20151226),
+ python-libsigscan (>= 20150627),
+ python-libsmdev (>= 20140529),
+ python-libsmraw (>= 20140612),
+ python-libvhdi (>= 20131210),
+ python-libvmdk (>= 20140421),
+ python-libvshadow (>= 20160109),
+ python-libvslvm (>= 20160109),
  python-pefile,
  python-protobuf,
- python-psutil,
- python-pyparsing,
- python-requests,
- python-six,
- python-tsk,
+ python-psutil (>= 1.2.1),
+ python-pyparsing (>= 2.0.3),
+ python-requests (>= 2.2.1),
+ python-six (>= 1.1.0),
+ python-tsk (>= 20160721),
  python-tz,
- python-xlsxwriter,
- python-yaml,
- python-zmq,
+ python-xlsxwriter (>= 0.9.3),
+ python-yaml (>= 3.10),
+ python-yara (>= 3.4.0),
+ python-zmq (>= 2.1.11),
+ python-efilter (>= 1.5),
 Description: super timeline all the things
  Plaso (plaso langar að safna öllu) is the Python based back-end
  engine used by tools such as log2timeline for automatic creation of a

=== debian/watch ===
version=3
opts=uversionmangle=s/-(beta|rc)/~$1/,dversionmangle=s/\+dfsg\d*$// \
    https://github.com/log2timeline/plaso/releases /.*/archive/(\d.*)\.tar\.gz \
    debian debian/orig-tar.sh

## plaso 20190131

=== requirements.txt ===
pip >= 7.0.0
PyYAML >= 3.10
XlsxWriter >= 0.9.3
artifacts >= 20170818
backports.lzma ; python_version < '3.0'
bencode.py
biplist >= 1.0.3
certifi >= 2016.9.26
chardet >= 2.0.1
dfdatetime >= 20180704
dfvfs >= 20181209
dfwinreg >= 20180712
dtfabric >= 20181128
efilter == 1-1.5
elasticsearch >= 6.0
elasticsearch5 >= 5.4.0
future >= 0.16.0
idna >= 2.5
libbde-python >= 20140531
libesedb-python >= 20150409
libevt-python >= 20120410
libevtx-python >= 20141112
libewf-python >= 20131210
libfsapfs-python >= 20181205
libfsntfs-python >= 20151130
libfvde-python >= 20160719
libfwnt-python >= 20180117
libfwsi-python >= 20150606
liblnk-python >= 20150830
libmsiecf-python >= 20150314
libolecf-python >= 20151223
libqcow-python >= 20131204
libregf-python >= 20150315
libscca-python >= 20161031
libsigscan-python >= 20150627
libsmdev-python >= 20140529
libsmraw-python >= 20140612
libvhdi-python >= 20131210
libvmdk-python >= 20140421
libvshadow-python >= 20160109
libvslvm-python >= 20160109
lz4 >= 0.10.0
pefile >= 2018.8.8
psutil >= 5.4.3
pycrypto >= 2.6
pyparsing >= 2.3.0
python-dateutil >= 1.5
pytsk3 >= 20160721
pytz
pyzmq >= 2.1.11
requests >= 2.18.0
six >= 1.1.0
urllib3 >= 1.21.1
yara-python >= 3.4.0

=== docs/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for Sphinx documentation
 
 # You can set these variables from the command line.
-SPHINXOPTS    = -W
+SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build

=== docs/requirements.txt ===
# Pyparsing doesn't mock very well, and it's easily pip installable.
pyparsing
sphinx==1.7.0
# Workaround for https://github.com/rtfd/recommonmark/issues/104.
docutils==0.14
# Required for markdown support.
recommonmark
# For table rendering on readthedocs.
sphinx-markdown-tables

=== debian/changelog ===
plaso (20190131-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937300
  * Bump pyparsind deps to >= 2.3.0; Closes: #923236

 -- Sandro Tosi <morph@debian.org>  Fri, 22 Nov 2019 17:30:31 -0500

plaso (20190131-2) unstable; urgency=medium

  * Adjust bencode import statement to work with Python3 import semantics
  * Add python2/python3 support

 -- Hilko Bengen <bengen@debian.org>  Mon, 11 Feb 2019 23:59:07 +0100

plaso (20190131-1) unstable; urgency=medium

  * New upstream version 20190131
  * Update bencode from bencode.py, remove python-bittorrent dependency

 -- Hilko Bengen <bengen@debian.org>  Sat, 09 Feb 2019 23:53:49 +0100

plaso (20181219-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Hilko Bengen ]
  * New upstream version 20181219
  * Bump Debhelper compat level
  * Bump Standards-Version
  * Update dependencies, build-dependencies
  * Switch to pybuild
  * Drop patches
  * Add vendored bencode library

 -- Hilko Bengen <bengen@debian.org>  Wed, 16 Jan 2019 11:38:09 +0100

plaso (1.5.1+dfsg-4) unstable; urgency=medium

  * Fix bencode dependency checking
  * Support python-construct.legacy
  * Add python-artifacts dependency

 -- Hilko Bengen <bengen@debian.org>  Tue, 28 Nov 2017 01:52:17 +0100

=== debian/control ===
Source: plaso
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 12), dh-python,
 python3,
 python3-setuptools,
 python3-yaml (>= 3.10),
 python3-xlsxwriter (>= 0.9.3),
 python3-artifacts (>= 20170818),
 python3-biplist (>= 1.0.3),
 python3-certifi (>= 2016.9.26),
 python3-chardet (>= 2.0.1),
 python3-dfdatetime (>= 20180704),
 python3-dfvfs (>= 20181209),
 python3-dfwinreg (>= 20180712),
 python3-dtfabric (>= 20181128),
 python3-efilter (>= 1.5),
 python3-elasticsearch (>= 5.4.0),
 python3-future,
 python3-idna (>= 2.5),
 python3-libbde (>= 20140531),
 python3-libesedb (>= 20150409),
 python3-libevt (>= 20120410),
 python3-libevtx (>= 20141112),
 python3-libewf (>= 20131210),
 python3-fsapfs (>= 20181205),
 python3-libfsntfs (>= 20151130),
 python3-libfvde (>= 20160719),
 python3-libfwnt (>= 20180117),
 python3-libfwsi (>= 20150606),
 python3-liblnk (>= 20150830),
 python3-libmsiecf (>= 20150314),
 python3-libolecf (>= 20151223),
 python3-libqcow (>= 20131204),
 python3-libregf (>= 20150315),
 python3-libscca (>= 20161031),
 python3-libsigscan (>= 20150627),
 python3-libsmdev (>= 20140529),
 python3-libsmraw (>= 20140612),
 python3-libvhdi (>= 20131210),
 python3-libvmdk (>= 20140421),
 python3-libvshadow (>= 20160109),
 python3-libvslvm (>= 20160109),
 python3-lz4 (>= 0.10.0),
 python3-pefile (>= 2018.8.8),
 python3-psutil (>= 5.4.3),
 python3-crypto (>= 2.6),
 python3-pyparsing (>= 2.3.0),
 python3-dateutil (>= 1.5),
 python3-tsk (>= 20160721),
 python3-tz,
 python3-zmq (>= 2.1.11),
 python3-requests (>= 2.18.0),
 python3-six (>= 1.1.0),
 python3-urllib3 (>= 1.21.1),
 python3-yara (>= 3.4.0),
Standards-Version: 4.3.0
Homepage: http://plaso.kiddaland.net/
Vcs-Git: https://salsa.debian.org/pkg-security-team/plaso.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/plaso

Package: plaso
Architecture: all
Depends: ${misc:Depends},
 python3-plaso (>= ${source:Version}),
Description: super timeline all the things -- metapackage
 This is a metapackage that depends on the Python 3
 package of the Plaso libraries and scripts.

Package: python3-plaso
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends},
 python3-yaml (>= 3.10),
 python3-xlsxwriter (>= 0.9.3),
 python3-artifacts (>= 20170818),
 python3-biplist (>= 1.0.3),
 python3-certifi (>= 2016.9.26),
 python3-chardet (>= 2.0.1),
 python3-dfdatetime (>= 20180704),
 python3-dfvfs (>= 20181209),
 python3-dfwinreg (>= 20180712),
 python3-dtfabric (>= 20181128),
 python3-efilter (>= 1.5),
 python3-elasticsearch (>= 5.4.0),
 python3-future,
 python3-idna (>= 2.5),
 python3-libbde (>= 20140531),
 python3-libesedb (>= 20150409),
 python3-libevt (>= 20120410),
 python3-libevtx (>= 20141112),
 python3-libewf (>= 20131210),
 python3-fsapfs (>= 20181205),
 python3-libfsntfs (>= 20151130),
 python3-libfvde (>= 20160719),
 python3-libfwnt (>= 20180117),
 python3-libfwsi (>= 20150606),
 python3-liblnk (>= 20150830),
 python3-libmsiecf (>= 20150314),
 python3-libolecf (>= 20151223),
 python3-libqcow (>= 20131204),
 python3-libregf (>= 20150315),
 python3-libscca (>= 20161031),
 python3-libsigscan (>= 20150627),
 python3-libsmdev (>= 20140529),
 python3-libsmraw (>= 20140612),
 python3-libvhdi (>= 20131210),
 python3-libvmdk (>= 20140421),
 python3-libvshadow (>= 20160109),
 python3-libvslvm (>= 20160109),
 python3-lz4 (>= 0.10.0),
 python3-pefile (>= 2018.8.8),
 python3-psutil (>= 5.4.3),
 python3-crypto (>= 2.6),
 python3-pyparsing (>= 2.3.0),
 python3-dateutil (>= 1.5),
 python3-tsk (>= 20160721),
 python3-tz,
 python3-zmq (>= 2.1.11),
 python3-requests (>= 2.18.0),
 python3-six (>= 1.1.0),
 python3-urllib3 (>= 1.21.1),
 python3-yara (>= 3.4.0),
Breaks: plaso (<< 20190131-2~)
Replaces: plaso (<< 20190131-2~)
Description: super timeline all the things -- Python 3
 Plaso (plaso langar að safna öllu) is the Python based back-end
 engine used by tools such as log2timeline for automatic creation of a
 super timelines. The goal of log2timeline (and thus plaso) is to
 provide a single tool that can parse various log files and forensic
 artifacts from computers and related systems, such as network
 equipment to produce a single correlated timeline. This timeline can
 then be easily analysed by forensic investigators/analysts, speeding
 up investigations by correlating the vast amount of information found
 on an average computer system.
 .
 This package contains a Plaso installation for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with=python2
+	dh $@ --buildsystem=pybuild --with=python3
+
+override_dh_auto_install:
+	dh_auto_install -- --after-install debian/fix-scripts.sh
 
 override_dh_compress:
 	dh_compress -X.rst
-

## plaso 20201007

=== requirements.txt ===
pip >= 7.0.0
PyYAML >= 3.10
XlsxWriter >= 0.9.3
artifacts >= 20190305
bencode.py
certifi >= 2016.9.26
cffi >= 1.9.1
chardet >= 2.0.1
cryptography >= 2.0.2
defusedxml >= 0.5.0
dfdatetime >= 20200613
dfvfs >= 20200920
dfwinreg >= 20200927
dtfabric >= 20200621
elasticsearch >= 6.0
future >= 0.16.0
idna >= 2.5
libbde-python >= 20140531
libcreg-python >= 20200725
libesedb-python >= 20150409
libevt-python >= 20191104
libevtx-python >= 20141112
libewf-python >= 20131210
libfsapfs-python >= 20181205
libfsext-python >= 20200819
libfsntfs-python >= 20200805
libfvde-python >= 20160719
libfwnt-python >= 20180117
libfwsi-python >= 20150606
liblnk-python >= 20150830
libluksde-python >= 20200101
libmsiecf-python >= 20150314
libolecf-python >= 20151223
libqcow-python >= 20131204
libregf-python >= 20190714
libscca-python >= 20190605
libsigscan-python >= 20190629
libsmdev-python >= 20140529
libsmraw-python >= 20140612
libvhdi-python >= 20131210
libvmdk-python >= 20140421
libvshadow-python >= 20160109
libvslvm-python >= 20160109
lz4 >= 0.10.0
pefile >= 2018.8.8
psutil >= 5.4.3
pyparsing >= 2.3.0
python-dateutil >= 1.5
pytsk3 >= 20160721
pytz
pyzmq >= 2.1.11
redis >= 3.4
requests >= 2.18.0
six >= 1.1.0
urllib3 >= 1.21.1
yara-python >= 3.4.0

=== docs/requirements.txt ===
docutils
pyparsing
recommonmark
sphinx>=2.0.1
sphinx-markdown-tables

=== debian/changelog ===
plaso (20201007-2) unstable; urgency=medium

  * Team upload

  * Refresh 0001-Add-vendored-bencode-2.0.patch to avoid offset warning.
  * Add a bunch of generated files in plaso.egg-info to debian/clean to be
    able to build twice in a row.
  * python3-plaso: Also install /usr/share/plaso/. (Closes: #976860)
  * Update 0001-Add-vendored-bencode-2.0.patch to also remove bencode
    dependency check from plaso/dependencies.py. Fixes "[FAILURE] missing:
    bencode." error.
  * Set "Rules-Requires-Root: no".
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Bump debhelper-compat to 13.
    + List LICENSE and README in debian/not-installed.
    + Install ACKNOWLEDGEMENTS and AUTHORS via d…/python3-plaso.install.
  * Remove one instance of duplicate (build-)deps on python3-dateutil.
  * Drop support for switching between python2 and python3 variants.
    + debian/rules: Drop override_dh_auto_install.
    + Drop debian/fix-scripts.sh.
    + Drop all maintainer scripts, no more needed.
    + debian/python3-plaso.install: Remove *-python3 wildcard.
  * Rename d…/lintian-overrides to d…/python3-plaso.lintian-overrides and
    update package name inside from plaso to python3-plaso.
    + Fixes lintian warning unused-override.
    + Overrides lintian warning script-with-language-extension again.
  * Replace lintian override for preg.py with psteal.py; update comment.
  * Add lintian overrides for
    package-contains-documentation-outside-usr-share-doc
    usr/share/plaso/*.txt as these are text-based data files, not
    documentation (and documentation about the directory contents).
  * debian/copyright: Update location of plaso/parsers/bencode.py to
    debian/patches/0001-Add-vendored-bencode-2.0.patch. Fixes lintian
    warnings wildcard-matches-nothing-in-dep5-copyright and
    unused-file-paragraph-in-dep5-copyright.
  * Declare 0001-Add-vendored-bencode-2.0.patch as debian-specific.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Thu, 04 Feb 2021 23:57:32 +0100

plaso (20201007-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * Configure git-buildpackage

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Raphaël Hertzog ]
  * New upstream version 20201007
  * Update Homepage

  [ Axel Beckert ]
  * Bump (build-)dependency on python3-dfvfs to a version no more using
    python3-crypto. Replace (indirect) (build-)dependency on
    python3-crypto with python3-cryptography. (Closes: #971308)
  * Bump versioned (build-)dependencies on libsigscan-python3,
    python3-libscca, -libregf, -libfsntfs, -libevt, -future,
    -elasticsearch, -dtfabric, -dfwinreg, -dfdatetime, and -artifacts
    according to upstream dependency declarations.
  * Follow upstream dependency declarations and
    + drop python3-efilter and -biplist from, and
    + add python3-cffi-backend, -dateutil, -defusedxml, -libcreg,
      -libfsext, -libluksde, and -redis to
    (build-)dependencies.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 04 Feb 2021 17:59:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,40 +3,44 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 12), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
  python3,
  python3-setuptools,
  python3-yaml (>= 3.10),
  python3-xlsxwriter (>= 0.9.3),
- python3-artifacts (>= 20170818),
- python3-biplist (>= 1.0.3),
+ python3-artifacts (>= 20190305),
  python3-certifi (>= 2016.9.26),
+ python3-cffi-backend (>= 1.9.1),
  python3-chardet (>= 2.0.1),
- python3-dfdatetime (>= 20180704),
- python3-dfvfs (>= 20181209),
- python3-dfwinreg (>= 20180712),
- python3-dtfabric (>= 20181128),
- python3-efilter (>= 1.5),
- python3-elasticsearch (>= 5.4.0),
- python3-future,
+ python3-dateutil (>= 1.5),
+ python3-defusedxml (>= 0.5.0),
+ python3-dfdatetime (>= 20200613),
+ python3-dfvfs (>= 20201219),
+ python3-dfwinreg (>= 20201002),
+ python3-dtfabric (>= 20200621),
+ python3-elasticsearch (>= 6.0),
+ python3-future (>= 0.16.0),
  python3-idna (>= 2.5),
  python3-libbde (>= 20140531),
+ python3-libcreg (>= 20200725),
  python3-libesedb (>= 20150409),
- python3-libevt (>= 20120410),
+ python3-libevt (>= 20191104),
  python3-libevtx (>= 20141112),
  python3-libewf (>= 20131210),
  python3-fsapfs (>= 20181205),
- python3-libfsntfs (>= 20151130),
+ python3-libfsext (>= 20200819),
+ python3-libfsntfs (>= 20200805),
  python3-libfvde (>= 20160719),
  python3-libfwnt (>= 20180117),
  python3-libfwsi (>= 20150606),
  python3-liblnk (>= 20150830),
+ python3-libluksde (>= 20200101),
  python3-libmsiecf (>= 20150314),
  python3-libolecf (>= 20151223),
  python3-libqcow (>= 20131204),
- python3-libregf (>= 20150315),
- python3-libscca (>= 20161031),
- python3-libsigscan (>= 20150627),
+ python3-libregf (>= 20201002),
+ python3-libscca (>= 20190605),
+ python3-libsigscan (>= 20190629),
  python3-libsmdev (>= 20140529),
  python3-libsmraw (>= 20140612),
  python3-libvhdi (>= 20131210),
@@ -46,9 +50,9 @@
  python3-lz4 (>= 0.10.0),
  python3-pefile (>= 2018.8.8),
  python3-psutil (>= 5.4.3),
- python3-crypto (>= 2.6),
+ python3-cryptography (>= 2.0.2),
  python3-pyparsing (>= 2.3.0),
- python3-dateutil (>= 1.5),
+ python3-redis (>= 3.4),
  python3-tsk (>= 20160721),
  python3-tz,
  python3-zmq (>= 2.1.11),
@@ -56,10 +60,11 @@
  python3-six (>= 1.1.0),
  python3-urllib3 (>= 1.21.1),
  python3-yara (>= 3.4.0),
-Standards-Version: 4.3.0
-Homepage: http://plaso.kiddaland.net/
+Standards-Version: 4.5.1
+Homepage: https://github.com/log2timeline/plaso
 Vcs-Git: https://salsa.debian.org/pkg-security-team/plaso.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/plaso
+Rules-Requires-Root: no
 
 Package: plaso
 Architecture: all
@@ -75,35 +80,39 @@
 Depends: ${misc:Depends}, ${python3:Depends},
  python3-yaml (>= 3.10),
  python3-xlsxwriter (>= 0.9.3),
- python3-artifacts (>= 20170818),
- python3-biplist (>= 1.0.3),
+ python3-artifacts (>= 20190305),
  python3-certifi (>= 2016.9.26),
+ python3-cffi-backend (>= 1.9.1),
  python3-chardet (>= 2.0.1),
- python3-dfdatetime (>= 20180704),
- python3-dfvfs (>= 20181209),
- python3-dfwinreg (>= 20180712),
- python3-dtfabric (>= 20181128),
- python3-efilter (>= 1.5),
- python3-elasticsearch (>= 5.4.0),
- python3-future,
+ python3-dateutil (>= 1.5),
+ python3-defusedxml (>= 0.5.0),
+ python3-dfdatetime (>= 20200613),
+ python3-dfvfs (>= 20201219),
+ python3-dfwinreg (>= 20201002),
+ python3-dtfabric (>= 20200621),
+ python3-elasticsearch (>= 6.0),
+ python3-future (>= 0.16.0),
  python3-idna (>= 2.5),
  python3-libbde (>= 20140531),
+ python3-libcreg (>= 20200725),
  python3-libesedb (>= 20150409),
- python3-libevt (>= 20120410),
+ python3-libevt (>= 20191104),
  python3-libevtx (>= 20141112),
  python3-libewf (>= 20131210),
  python3-fsapfs (>= 20181205),
- python3-libfsntfs (>= 20151130),
+ python3-libfsext (>= 20200819),
+ python3-libfsntfs (>= 20200805),
  python3-libfvde (>= 20160719),
  python3-libfwnt (>= 20180117),
  python3-libfwsi (>= 20150606),
  python3-liblnk (>= 20150830),
+ python3-libluksde (>= 20200101),
  python3-libmsiecf (>= 20150314),
  python3-libolecf (>= 20151223),
  python3-libqcow (>= 20131204),
- python3-libregf (>= 20150315),
- python3-libscca (>= 20161031),
- python3-libsigscan (>= 20150627),
+ python3-libregf (>= 20201002),
+ python3-libscca (>= 20190605),
+ python3-libsigscan (>= 20190629),
  python3-libsmdev (>= 20140529),
  python3-libsmraw (>= 20140612),
  python3-libvhdi (>= 20131210),
@@ -113,9 +122,9 @@
  python3-lz4 (>= 0.10.0),
  python3-pefile (>= 2018.8.8),
  python3-psutil (>= 5.4.3),
- python3-crypto (>= 2.6),
+ python3-cryptography (>= 2.0.2),
  python3-pyparsing (>= 2.3.0),
- python3-dateutil (>= 1.5),
+ python3-redis (>= 3.4),
  python3-tsk (>= 20160721),
  python3-tz,
  python3-zmq (>= 2.1.11),

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,5 @@
 %:
 	dh $@ --buildsystem=pybuild --with=python3
 
-override_dh_auto_install:
-	dh_auto_install -- --after-install debian/fix-scripts.sh
-
 override_dh_compress:
 	dh_compress -X.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/-(beta|rc)/~$1/,dversionmangle=s/\+dfsg\d*$// \
    https://github.com/log2timeline/plaso/releases /.*/archive/(\d.*)\.tar\.gz \
    debian debian/orig-tar.sh

## plaso 20211229

=== requirements.txt ===
pip >= 7.0.0
PyYAML >= 3.10
XlsxWriter >= 0.9.3
artifacts >= 20211205
bencode.py
certifi >= 2016.9.26
cffi >= 1.9.1
cryptography >= 2.0.2
defusedxml >= 0.5.0
dfdatetime >= 20211113
dfvfs >= 20211224
dfwinreg >= 20211207
dtfabric >= 20200621
elasticsearch >= 7.0,< 8.0
future >= 0.16.0
libbde-python >= 20140531
libcreg-python >= 20200725
libesedb-python >= 20150409
libevt-python >= 20191104
libevtx-python >= 20210424
libewf-python >= 20131210
libfsapfs-python >= 20201107
libfsext-python >= 20200819
libfshfs-python >= 20201103
libfsntfs-python >= 20200805
libfsxfs-python >= 20201114
libfvde-python >= 20160719
libfwnt-python >= 20180117
libfwsi-python >= 20150606
liblnk-python >= 20150830
libluksde-python >= 20200101
libmodi-python >= 20210405
libmsiecf-python >= 20150314
libolecf-python >= 20151223
libqcow-python >= 20131204
libregf-python >= 20201002
libscca-python >= 20190605
libsigscan-python >= 20190629
libsmdev-python >= 20140529
libsmraw-python >= 20140612
libvhdi-python >= 20131210
libvmdk-python >= 20140421
libvsgpt-python >= 20210115
libvshadow-python >= 20160109
libvslvm-python >= 20160109
lz4 >= 0.10.0
opensearch-py
pefile >= 2021.5.24
psutil >= 5.4.3
pyparsing >= 2.4.2
python-dateutil >= 1.5
pytsk3 >= 20160721
pytz
pyxattr >= 0.7.2
pyzmq >= 2.1.11
redis >= 3.4
requests >= 2.18.0
six >= 1.1.0
yara-python >= 3.4.0

=== docs/requirements.txt ===
docutils
pyparsing
recommonmark
sphinx >= 4.1.0
sphinx-markdown-tables
sphinx-rtd-theme >= 0.5.1

=== debian/changelog ===
plaso (20211229-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:16:33 +0200

plaso (20211229-0kali1) kali-dev; urgency=medium

  * Team upload

  * Update debian/watch to follow updated Github link structure.
  * Import new upstream release 20211024. (Closes: #997833)
    + Refresh sole patch.
    + Update (build-)dependencies following changes in dependencies.ini.

  [ Sophie Brun ]
  * New upstream version 20211229
  * Update required version of build-deps and deps
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 19 May 2022 09:47:17 +0200

=== debian/control ===
--- 
+++ 
@@ -8,33 +8,36 @@
  python3-setuptools,
  python3-yaml (>= 3.10),
  python3-xlsxwriter (>= 0.9.3),
- python3-artifacts (>= 20190305),
+ python3-artifacts (>= 20211205),
  python3-certifi (>= 2016.9.26),
  python3-cffi-backend (>= 1.9.1),
  python3-chardet (>= 2.0.1),
  python3-dateutil (>= 1.5),
  python3-defusedxml (>= 0.5.0),
- python3-dfdatetime (>= 20200613),
- python3-dfvfs (>= 20201219),
- python3-dfwinreg (>= 20201002),
+ python3-dfdatetime (>= 20211113),
+ python3-dfvfs (>= 20211224),
+ python3-dfwinreg (>= 20211207),
  python3-dtfabric (>= 20200621),
- python3-elasticsearch (>= 6.0),
+ python3-elasticsearch (>= 7.0),
  python3-future (>= 0.16.0),
  python3-idna (>= 2.5),
  python3-libbde (>= 20140531),
  python3-libcreg (>= 20200725),
  python3-libesedb (>= 20150409),
  python3-libevt (>= 20191104),
- python3-libevtx (>= 20141112),
+ python3-libevtx (>= 20210424),
  python3-libewf (>= 20131210),
- python3-fsapfs (>= 20181205),
+ python3-fsapfs (>= 20201107),
  python3-libfsext (>= 20200819),
+ python3-libfshfs (>=20201103),
  python3-libfsntfs (>= 20200805),
+ python3-libfsxfs (>= 20201114),
  python3-libfvde (>= 20160719),
  python3-libfwnt (>= 20180117),
  python3-libfwsi (>= 20150606),
  python3-liblnk (>= 20150830),
  python3-libluksde (>= 20200101),
+ python3-libmodi (>= 20210405),
  python3-libmsiecf (>= 20150314),
  python3-libolecf (>= 20151223),
  python3-libqcow (>= 20131204),
@@ -45,13 +48,14 @@
  python3-libsmraw (>= 20140612),
  python3-libvhdi (>= 20131210),
  python3-libvmdk (>= 20140421),
+ python3-libvsgpt (>= 20210115),
  python3-libvshadow (>= 20160109),
  python3-libvslvm (>= 20160109),
  python3-lz4 (>= 0.10.0),
- python3-pefile (>= 2018.8.8),
+ python3-pefile (>= 2021.5.24),
  python3-psutil (>= 5.4.3),
  python3-cryptography (>= 2.0.2),
- python3-pyparsing (>= 2.3.0),
+ python3-pyparsing (>= 3.0.0),
  python3-redis (>= 3.4),
  python3-tsk (>= 20160721),
  python3-tz,
@@ -59,6 +63,7 @@
  python3-requests (>= 2.18.0),
  python3-six (>= 1.1.0),
  python3-urllib3 (>= 1.21.1),
+ python3-pyxattr (>= 0.7.2),
  python3-yara (>= 3.4.0),
 Standards-Version: 4.5.1
 Homepage: https://github.com/log2timeline/plaso
@@ -80,33 +85,36 @@
 Depends: ${misc:Depends}, ${python3:Depends},
  python3-yaml (>= 3.10),
  python3-xlsxwriter (>= 0.9.3),
- python3-artifacts (>= 20190305),
+ python3-artifacts (>= 20211205),
  python3-certifi (>= 2016.9.26),
  python3-cffi-backend (>= 1.9.1),
  python3-chardet (>= 2.0.1),
  python3-dateutil (>= 1.5),
  python3-defusedxml (>= 0.5.0),
- python3-dfdatetime (>= 20200613),
- python3-dfvfs (>= 20201219),
- python3-dfwinreg (>= 20201002),
+ python3-dfdatetime (>= 20211113),
+ python3-dfvfs (>= 20211224),
+ python3-dfwinreg (>= 20201207),
  python3-dtfabric (>= 20200621),
- python3-elasticsearch (>= 6.0),
+ python3-elasticsearch (>= 7.0),
  python3-future (>= 0.16.0),
  python3-idna (>= 2.5),
  python3-libbde (>= 20140531),
  python3-libcreg (>= 20200725),
  python3-libesedb (>= 20150409),
  python3-libevt (>= 20191104),
- python3-libevtx (>= 20141112),
+ python3-libevtx (>= 20210424),
  python3-libewf (>= 20131210),
- python3-fsapfs (>= 20181205),
+ python3-fsapfs (>= 20201107),
  python3-libfsext (>= 20200819),
+ python3-libfshfs (>=20201103),
  python3-libfsntfs (>= 20200805),
+ python3-libfsxfs (>= 20201114),
  python3-libfvde (>= 20160719),
  python3-libfwnt (>= 20180117),
  python3-libfwsi (>= 20150606),
  python3-liblnk (>= 20150830),
  python3-libluksde (>= 20200101),
+ python3-libmodi (>= 20210405),
  python3-libmsiecf (>= 20150314),
  python3-libolecf (>= 20151223),
  python3-libqcow (>= 20131204),
@@ -115,15 +123,16 @@
  python3-libsigscan (>= 20190629),
  python3-libsmdev (>= 20140529),
  python3-libsmraw (>= 20140612),
+ python3-libvsgpt (>= 20210115),
  python3-libvhdi (>= 20131210),
  python3-libvmdk (>= 20140421),
  python3-libvshadow (>= 20160109),
  python3-libvslvm (>= 20160109),
  python3-lz4 (>= 0.10.0),
- python3-pefile (>= 2018.8.8),
+ python3-pefile (>= 2021.5.24),
  python3-psutil (>= 5.4.3),
  python3-cryptography (>= 2.0.2),
- python3-pyparsing (>= 2.3.0),
+ python3-pyparsing (>= 3.0.0),
  python3-redis (>= 3.4),
  python3-tsk (>= 20160721),
  python3-tz,
@@ -131,6 +140,7 @@
  python3-requests (>= 2.18.0),
  python3-six (>= 1.1.0),
  python3-urllib3 (>= 1.21.1),
+ python3-pyxattr (>= 0.7.2),
  python3-yara (>= 3.4.0),
 Breaks: plaso (<< 20190131-2~)
 Replaces: plaso (<< 20190131-2~)

=== debian/watch ===
version=4
opts=uversionmangle=s/-(beta|rc)/~$1/,dversionmangle=s/\+dfsg\d*$// \
    https://github.com/log2timeline/plaso/releases /.*/archive/refs/tags/(\d.*)\.tar\.gz \
    debian debian/orig-tar.sh
